# Generated by Django 5.1.3 on 2024-11-13 11:32

import seawatch_registration.models
from django.db import migrations

def open_to_new(apps, schema_editor):
    SarApplication = apps.get_model("applications", "SarApplication")
    SarApplication.objects.filter(decision="open").update(decision="new")

def new_to_open(apps, schema_editor):
    SarApplication = apps.get_model("applications", "SarApplication")
    SarApplication.objects.filter(decision="new").update(decision="open")


class Migration(migrations.Migration):
    dependencies = [
        ("applications", "0047_rename_accepted_sarapplication_closed"),
    ]

    operations = [
        migrations.AlterField(
            model_name="sarapplication",
            name="decision",
            field=seawatch_registration.models.ShortTextField(
                choices=[
                    ("open", "Open"),
                    ("new", "New"),
                    ("in_progress", "In progress"),
                    ("reject", "Reject"),
                    ("accept", "Accept"),
                ],
                default="open",
            ),
        ),
        migrations.RunPython(open_to_new, new_to_open),
        migrations.AlterField(
            model_name="sarapplication",
            name="decision",
            field=seawatch_registration.models.ShortTextField(
                choices=[
                    ("new", "New"),
                    ("in_progress", "In progress"),
                    ("reject", "Reject"),
                    ("accept", "Accept"),
                ],
                default="new",
            ),
        ),
    ]
